Projects - Feature #1777

Project categories or sections
03 Jun 2011 12:38 - Andriy Lesyuk
Priority: Major Due date: 31 Aug 2013
Assignee: Andriy Lesyuk % Done: 100%
Category: Redmine plugin idea Estimated time: 0.00 hour
Target version:

Description

| don't like project names like "Redmine SCM Creator"!.. But the name just "SCM Creator" is not clear! So I'm thinking about writing
the plugin which meets the following requirements:

1. The section name is prepended to the project name in the header (with some delimiter; clicking on section gives list of projects
in it).
2. The section URL is: /sections/<id>
3. A section has:
o identifier (like project)
o Name (shown in header)
o Short description
4. Section names (with projects or alone) should be shown in the right side of the header (where projects combo is located).
5. The projects listing page should be able to show sections (maybe supporting position).
6. Project URLs should contain section e.g. /projects/<section>/<project>.
7. That's it currently...

Related issues:

Related to Project Removal - Feature #1786: Show Archived projects on project... Won't Fix 11 Jun 2011 14 Jun 2011
Related to Project Sections - Feature #2215: Section specific custom fields Closed 31 Aug 2013 14 Dec 2014
Related to Extended Fields - Feature #2220: Project specific custom fields Incomplete 02 Sep 2013

History

#1 - 14 Jun 2011 17:47 - Pedro Algarvio

Would this also allow “split” project into their categories on the */projects’ page?

#2 - 14 Jun 2011 19:36 - Andriy Lesyuk

It can do anything!.. Because currently it's only an idea!

| see this as a combo at the top (near “New project” etc) allowing to show either “All” or some category (on my site it will be e.g. “Redmine”). Is this
what you meant?

#3 - 17 Jun 2011 10:46 - Andriy Lesyuk

- Status changed from Incomplete to Open

#4 - 05 Jul 2011 13:52 - Andriy Lesyuk

Some links:

e http://www.redmine.org/issues/2117

#5 - 05 Jul 2011 17:50 - Pedro Algarvio
Andriy Lesyuk wrote:

It can do anything!.. Because currently it's only an idea!

17 Jul 2025 1/2



http://www.redmine.org/issues/2117

| see this as a combo at the top (near “New project” etc) allowing to show either “All” or some category (on my site it will be e.g. “Redmine”). Is
this what you meant?

What | really would like is to be able to categorize the projects into groups and have a choice on the order of the project categories.

For example, | just migrated a bunch of Trac plugins into my ChiliProject install. For these plugins, support has stopped, so, I'd like to make this
projects “fit” into the “Dead Projects” category. This category would come after the “Active” projects, etc...

Got an idea of what I'm after?

#6 - 22 Jul 2011 14:33 - Andriy Lesyuk

Yes, thanks!

#7 - 25 Jul 2011 15:36 - Andriy Lesyuk

- Priority changed from Normal to Major

The one of the main tasks is ensuring that all the plugins work well with ChilliProject. If/when they do the names are to be changed from “Redmine
<Plugin>" into “Redmine/ChilliProject <Plugin>". So this feature becomes more critical...

#8 - 07 Nov 2011 10:27 - Andriy Lesyuk

Also it would be great if URLs looked so: {host}/projects/{section}/{project} e.g. projects.andriylesyuk.com/projects/redmine/scm-creator...

#9 - 22 Jan 2012 22:56 - Andriy Lesyuk

Project section should have their own custom fields. Saying we have sections “Jabberd14 Modules” and “Redmine Plugins”... Custom fields “Jabberd
Version” and “Redmine Version” should not be used for projects in both sections!..

#10 - 30 Aug 2013 19:38 - Andriy Lesyuk
- Status changed from Open to In Progress

- % Done changed from 0 to 70
#11 - 31 Aug 2013 17:11 - Andriy Lesyuk
- Due date set to 31 Aug 2013

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

Good news: | have started working on the plugin! The work will continue in Project Sections.
